/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/**
 * Line up the actions menu with action labels above and below it.
 * Equalize the distance from the left side of the action box to the left side
 * of the icon for both the menu and the non-menu versions of the action box.
 * Also make sure the labels are the same distance away from the icons.
 */
.actionsMenu {
  margin-inline-start: -2px;
  margin-block: 0 -1px;
}

.typeIcon,
.actionIcon {
  margin-inline: 3px 2px;
}

#handlersView > richlistitem label {
  margin-inline-start: 3px;
  margin-top: 2px;
}

#handlersView > richlistitem {
  min-height: 22px;
}

.typeIcon,
.actionIcon,
.actionsMenu::part(icon) {
  height: 16px;
  width: 16px;
}

.actionsMenu::part(icon) {
  margin-top: 2px;
  margin-inline: 2px 8px;
}

.actionsMenu > menupopup > menuitem > .menu-iconic-left {
  /* Undo content/browser/preferences/handlers.css - we don't
   * want icon-less labels to line up with the other labels.
   */
  min-width: 0;
}

richlistitem[appHandlerIcon="ask"],
menuitem[appHandlerIcon="ask"] {
  list-style-image: url("chrome://browser/skin/preferences/alwaysAsk.png");
}

richlistitem[appHandlerIcon="save"],
menuitem[appHandlerIcon="save"] {
  list-style-image: url("chrome://browser/skin/preferences/saveFile.png");
}

richlistitem[appHandlerIcon="plugin"],
menuitem[appHandlerIcon="plugin"] {
  list-style-image: url("chrome://global/skin/plugins/pluginGeneric.svg");
}

/* Repeat what menu.css does for .menuitem-iconic */
menuitem[appHandlerIcon] {
  padding-top: 1px;
  padding-bottom: 3px;
}

menuitem[appHandlerIcon] > .menu-iconic-left > .menu-iconic-icon {
  margin-inline-start: 0;
  width: 16px;
}

#appList {
  min-height: 212px;
}

#appList > richlistitem {
  -moz-box-align: center;
}

#appList > richlistitem > image {
  margin: 5px;
  width: 32px;
  height: 32px;
}

#appList > richlistitem > label {
  margin: 0px;
  padding: 5px;
  white-space: nowrap;
}
